import {Component, Input} from '@angular/core';
import {GameModel} from "../../project/game-model/GameModel";

interface TreeNode {
  name: string,
  children: TreeNode[];
}

interface FlatNode {
  expandable: boolean,
  name: string,
  level: number
}

@Component({
  selector: 'app-item-overview',
  templateUrl: './item-overview.component.html',
  styleUrl: './item-overview.component.scss'
})
export class ItemOverviewComponent {

  @Input() gameModel: GameModel | undefined
}
